> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return specified property value of specified files

> Returns property value of files object using the specified key and property name.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json GET /files(ConnectorId='{ConnectorId}',Folder='{Folder}',Filename='{Filename}',MessageId='{MessageId}')/{propertyName}/$value
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /files(ConnectorId='{ConnectorId}',Folder='{Folder}',Filename='{Filename}',MessageId='{MessageId}')/{propertyName}/$value:
    get:
      tags:
        - files
      summary: Return specified property value of specified files
      description: >-
        Returns property value of files object using the specified key and
        property name.
      operationId: getfilesProperty
      parameters:
        - name: ConnectorId
          in: path
          description: The key ConnectorId
          required: true
          schema:
            type: string
        - name: Folder
          in: path
          description: The key Folder
          required: true
          schema:
            type: string
        - name: Filename
          in: path
          description: The key Filename
          required: true
          schema:
            type: string
        - name: MessageId
          in: path
          description: The key MessageId
          required: true
          schema:
            type: string
        - name: propertyName
          in: path
          schema:
            type: string
          description: The property name
          required: true
      responses:
        '200':
          description: The property value
          content:
            text/plain; charset=utf-8:
              schema:
                type: string
        default:
          description: Unexpected error
          content:
            text/plain; charset=utf-8:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````